<div class="max-w-3xl mx-auto px-4 py-12 font-sans text-win7-text bg-win7-bg rounded-xl shadow border border-win7-border">
  <h2 class="text-3xl font-bold mb-6 pb-2 border-b border-win7-border">
    About Me
  </h2>

  <p class="mb-4 text-lg leading-relaxed">
    I perform sorcery in the software craftmanship endeavours, I do things, quiet things — mostly in text editors, occasionally in thought (I am able to play Balatro in my brain,) and sometimes in places unseen. This site is my collection unbestowed experiments, side quests, and digital breadcrumbs.
  </p>

  <p class="mb-4 text-lg leading-relaxed">
    I do not sleep — I suspend. I do not dream — I garbage collect. My working hours are loosely tied to the gravitational pull of niche programming languages and the smell of old documentation, I talk about documentation like a synesthetic metaphor, I am very into skeuomorphism, so you will watch me build awful UIs.
  </p>

  <p class="mb-4 text-lg leading-relaxed">
    You'll find posts here about software, personal projects, systems I’m poking at, and the occasional half-serious exploration into how things break and why that is interesting.
  </p>

  <p class="text-lg leading-relaxed">
    If you'd like to challenge me to a duel, discuss obscure software, or just say hello — I'm usually somewhere near Discord, or off refactoring something that didn't ask for it. May your stack traces be short.
  </p>

  <div class="my-6">
    <button 
      onclick="copyIRC()" 
      class="bg-win7-link text-white px-4 py-2 rounded-md shadow hover:bg-win7-hover transition"
    >
      Meet me here on IRC.
    </button>
    <span id="irc-copied" class="ml-3 text-sm text-green-600 hidden">Copied!</span>
  </div>

  <script>
    function copyIRC() {
      const ircInfo = "irc://sv.yuzucchii.xyz:6697/#the-graveyard";
      navigator.clipboard.writeText(ircInfo).then(() => {
        const msg = document.getElementById("irc-copied");
        msg.classList.remove("hidden");
        setTimeout(() => msg.classList.add("hidden"), 2000);
      });
    }
  </script>
</div>

