<div class="max-w-2xl mx-auto mt-10 p-6 bg-white border border-win7-border shadow-md rounded-2xl font-sans text-win7-text">
  <form action="/blogs" method="POST" class="space-y-6">
    
    <div>
      <label for="title" class="block text-sm font-medium mb-1">Title</label>
      <input
        name="title"
        id="title"
        required
        class="mt-1 w-full px-4 py-2 bg-white border border-win7-border rounded-md shadow-sm focus:outline-none focus:ring-2 focus:ring-win7-hover focus:border-win7-hover transition"
      />
    </div>

    <div>
      <label for="content" class="block text-sm font-medium mb-1">Content</label>
      <textarea
        name="content"
        id="content"
        rows="8"
        required
        class="mt-1 w-full px-4 py-2 bg-white border border-win7-border rounded-md shadow-sm focus:outline-none focus:ring-2 focus:ring-win7-hover focus:border-win7-hover transition"
      ></textarea>
    </div>

    <div>
      <label for="preview" class="block text-sm font-medium mb-1">Preview</label>
      <textarea
        name="preview"
        id="preview"
        rows="3"
        class="mt-1 w-full px-4 py-2 bg-white border border-win7-border rounded-md shadow-sm focus:outline-none focus:ring-2 focus:ring-win7-hover focus:border-win7-hover transition"
      ></textarea>
    </div>

    <div>
      <input
        type="submit"
        value="Publish"
        class="px-4 py-2 bg-win7-link text-white font-semibold rounded-md shadow hover:bg-win7-hover transition"
      />
    </div>
  </form>
</div>

